#!/bin/bash

tag=1.11.2

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)

pushd "$tmp"
git clone git://github.com/shtylman/node-browser-resolve.git
cd node-browser-resolve
git archive --prefix="test/" --format=tar tags/v${tag}:test/ \
    | bzip2 > "$pwd"/tests-${tag}.tar.bz2
git archive --prefix="example/" --format=tar tags/v${tag}:example/ \
    | bzip2 > "$pwd"/example-${tag}.tar.bz2
popd
