%{?nodejs_find_provides_and_requires}

%global packagename browser-resolve
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 1.11.2
Release: 1%{?dist}.3
Summary: resolve which handles browser field support in package.json
License: MIT
URL: https://github.com/shtylman/node-browser-resolve#readme
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1: tests-%{version}.tar.bz2
Source2: example-%{version}.tar.bz2
Source10: dl-tests.sh

BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(resolve) >= 1.1.7

%if 0%{?enable_tests}
BuildRequires: npm(mocha) >= 1.14.0
%endif

%description
node.js resolve algorithm with browser field support.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package
%setup -q -T -D -a 2 -n package

%nodejs_fixdep resolve '>=1.1.7'
%nodejs_fixdep --dev mocha '>=1.14.0'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha --reporter list test/*.js
%endif


%files
%license LICENSE
%doc example/
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Sep 21 2016 Oleg Girko <ol@infoserver.lv> - 1.11.2-1
- Initial package.
